#include <stdio.h>
#include <string.h>

int main()
{
    int i,j,k,s;
    char T[100],S[100],ponavljanja[100],slova[100];
    scanf("%s %s",&T,&S);
    i=0,s=0;
    while(T[i]){
        if(T[i]==T[i+1]){
            ponavljanja[s]=T[i];
            s++;
        }
        i++;
    }
    i=0,j=0,k=0;
    while(S[i]){
        if((int)S[i]!=(int)ponavljanja[i]){
            slova[j]=S[i];
            j++;
            k=s;
            while(k>j){
                ponavljanja[k+1]=ponavljanja[k];
                k--;
            }
            s++;
        }
        i++;
    }
    printf("%d\n",(j==1)?j:j-1);
    i=0;
    while(T[i]){
        k=0,j=0;
        while(ponavljanja[j]){
            if((int)T[i]==(int)ponavljanja[j])
                k=1;
            j++;
        }
        if(k)
            printf("%c",T[i]);
        else
            printf("%c",42);
        i++;
    }
    return 0;
}